
TYPO3.Flow - Task # 3755

Status: New Priority: Must have
Author: Robert Lemke Category: - Testing -
Created: 2009-06-25 Assigned To:
Updated: 2010-10-20 Due date:
Sprint:
PHP Version:
Has patch:
Complexity:
Subject: Concurrency stress testing and cache mechanism
Description

After the first experiences and results from #3582 we need to do some more thorough stress testing to identify race conditions in
FLOW3, especially in the caching mechanism. We need to assure that especially the code caches cannot be built multiple times
simultaneously which currently is seems to be not always the case.

Related issues:
related to TYPO3.Flow - Task # 3582: Concurrency stress test Closed 2009-06-05
related to TYPO3.Flow - Bug # 28733: Implement LockManager for avoiding Race ... Resolved 2011-08-04
related to TYPO3.Flow - Bug # 27989: Wrong check in our atomic writes code Resolved 2011-07-08

History
#1 - 2009-07-13 11:25 - Robert Lemke
- Target version deleted (283)

#2 - 2010-01-20 11:06 - Karsten Dambekalns
- Target version set to 1.0 alpha 8

#3 - 2010-03-02 11:16 - Robert Lemke
- Target version changed from 1.0 alpha 8 to 1.0 alpha 9

#4 - 2010-05-28 17:37 - Robert Lemke
- Target version deleted (1.0 alpha 9)
